<?php
/*
Template Name: Ajax example - display posts
*/
get_header();

$ajaxcount = 0;
$my_query = new WP_Query('category_name=wordpress&showposts=9999');
while ($my_query->have_posts()) : $my_query->the_post();
	$ajaxcount++;
endwhile;
$my_query2 = new WP_Query('category_name=expression-engine&showposts=9999');
while ($my_query2->have_posts()) : $my_query2->the_post();
	$ajaxcount++;
endwhile;
?>
<h1>Fetching posts with <abbr title="Asynchronous JavaScript and XML">AJAX</abbr></h1>

<div id="ajax-content">
	<?php query_posts('showposts=1&cat=10');
	if (have_posts()) : while (have_posts()) : the_post(); ?>
  	<h2 class="entry-title" style="margin-top:0"><?php the_title(); ?></h2>
  	<div class="entry-content">
		<?php the_excerpt(); ?>
		<p><a href="<?php the_permalink(); ?>">Read the rest of this entry &raquo;</a></p>
  	</div>
	<?php endwhile; endif; //echo $ajaxcount;?>
</div>
<p><a href="/category/articles/cms/" class="ajax-link">Read more articles from the Wordpress &amp; ExpressionEngine categories</a></p>

<script type="text/javascript" src="http://www.google.com/jsapi"></script>
<script type="text/javascript">google.load("jquery", "1.2.6")</script>
<script type="text/javascript">
$(document).ready(function(){
	var ajaxcount = <?php echo $ajaxcount; ?>;
	var offset = 1;
	$('.ajax-link').click(function(){
		$('#ajax-content *').fadeOut(500);
		$('#ajax-content + p').fadeOut(500);
		$('#ajax-content').load('/examples/ajax-handler/?offset='+offset);  // examples/ajax-handler/ is a page you create inside Wordpress and
		$('#ajax-content + p').fadeIn(1);									// assign tp-ajax-example-retrieve.php to as the template
		offset++;
		if (offset == ajaxcount) { offset = 0 };
		return false;
	});
});
</script>
</body>
</html>